;+
; NAME:
;     HELIOEXALEPIDOPTERY
; PURPOSE:
;     Make a giant stackplot of Yohkoh daily images
; ETYMOLOGY
;     "lepidoptery" from butterflies, "exa" from 10^18 Hz
; CALLING SEQUENCE:
;     Main program, best to run in batch. This program
;       is not optimized for speed.
; INPUTS:
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
; OUTPUTS:
;     Writes a .genx file and .gif image to the current directory
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
;     Requires the SFM data base (daily composite images) 
; MODIFICATION HISTORY:
;     ~1999, written and named by HSH
;     25-Jul-00, documented (HSH) 
;-
script=rd_tfile('helioexalepidoptery.pro')
infil = findfile('$DIR_SXT_SFM/sfm*')
infil = infil(1:*)
help,infil
rd_roadmap,infil,rm
ss = where(gt_filtb(rm) eq 3 and gt_res(rm) eq 1, n_ss)
butt = bytarr(n_elements(ss),512)
for i = 0, n_ss-1 do begin
  rd_xda,infil,ss(i),index,data
  line = total(sfd_decomp(data),1)
; plot,line
  print,fmt_tim(index)
  butt(i,*) = sfd_comp(line) 
endfor
set_plot,'z'
wdef,image=butt
loadct,15
tvlct,r,g,b,/get
tvscl,butt
out = tvrd()
write_gif,'helioexalepidoptery.gif',out,r,g,b
savegen,file='helioexalepidoptery.genx',butt,script
end
